Devel15 Work Log

2011-11-25 (Ale)

  • Update
    Updating:
     dpm                                       x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         4.5 M
     dpm-devel                                 x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         667 k
     dpm-libs                                  x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         322 k
     emi-version                               x86_64                        1.6.0-1.sl5                             EMI-1-updates                         2.0 k
     facter                                    noarch                        1.6.2-1.el5                             epel                                   65 k
     freetype                                  x86_64                        2.2.1-28.el5_7.2                        sl-security                           311 k
     gfal                                      x86_64                        1.11.19-3.sl5                           EMI-1-updates                         1.2 M
     gfal-py26                                 x86_64                        1.11.19-3.sl5                           EMI-1-updates                         1.2 M
     gridftp-ifce                              x86_64                        2.1.1-1.sl5                             EMI-1-updates                          35 k
     is-interface                              x86_64                        1.1.3-1.sl5                             EMI-1-updates                          68 k
     lcg-util                                  x86_64                        1.11.19-3.sl5                           EMI-1-updates                         420 k
     lcg-util-py26                             x86_64                        1.11.19-3.sl5                           EMI-1-updates                         416 k
     lcgdm-devel                               x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         199 k
     lcgdm-libs                                x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         163 k
     lemon-agent                               x86_64                        3.1.1-2                                 lemon-sl5-i386                        146 k
     lemon-sensor-linux                        x86_64                        1.0.11-1.sl5                            lemon-sl5-i386                         92 k
     lfc                                       x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         1.5 M
     lfc-devel                                 x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         321 k
     lfc-libs                                  x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         101 k
     myproxy                                   x86_64                        5.5-1.el5                               epel                                   86 k
     myproxy-libs                              x86_64                        5.5-1.el5                               epel                                  121 k
     perl-dpm                                  x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         429 k
     perl-lfc                                  x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         325 k
     puppet                                    noarch                        2.6.12-1.el5                            epel                                  837 k
     python-dpm                                x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         625 k
     python-lfc                                x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         1.0 M
     python-suds                               noarch                        0.4.1-2.el5                             core                                  251 k
     python26-dpm                              x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         600 k
     python26-lfc                              x86_64                        1.8.2-3sec.sl5                          EMI-1-updates                         1.0 M
     srm-ifce                                  x86_64                        1.1.0-1.sl5                             EMI-1-updates                         699 k
    

2011-11-11 (Ale)

  • Update
    =============================================================================================================================================================
     Package                                         Arch                    Version                                        Repository                      Size
    =============================================================================================================================================================
    Installing:
     kernel                                          x86_64                  2.6.18-274.7.1.el5                             sl-security                     21 M
    Updating:
     SOAPpy                                          noarch                  0.11.6-12.el5                                  epel                           284 k
     augeas                                          x86_64                  0.9.0-1.el5                                    epel                            32 k
     bash                                            x86_64                  3.2-32.el5                                     sl-security                    1.8 M
     c-ares                                          x86_64                  1.6.0-5.el5                                    sl-security                     49 k
     curl                                            x86_64                  7.15.5-9.el5_6.3                               sl-security                    230 k
     dbus                                            x86_64                  1.1.2-16.el5_7                                 sl-security                    234 k
     dbus-libs                                       x86_64                  1.1.2-16.el5_7                                 sl-security                    123 k
     delegation-api-c                                x86_64                  2.1.1-1.sl5                                    EMI-1-base                     104 k
     delegation-cli                                  x86_64                  2.1.1-1.sl5                                    EMI-1-base                      56 k
     dpm                                             x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     4.5 M
     dpm-devel                                       x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     665 k
     dpm-libs                                        x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     321 k
     emi-trustmanager                                noarch                  3.0.5-1.sl5                                    EMI-1-updates                  276 k
     emi-version                                     x86_64                  1.5.0-1.sl5                                    EMI-1-updates                  2.0 k
     facter                                          noarch                  1.6.1-1.el5                                    epel                            63 k
     freetype                                        x86_64                  2.2.1-28.el5_7.1                               sl-security                    311 k
     gfal                                            x86_64                  1.11.18-2.sl5                                  EMI-1-base                     1.3 M
     gfal-py26                                       x86_64                  1.11.18-2.sl5                                  EMI-1-base                     1.2 M
     glite-ce-monitor-client-api-c                   x86_64                  1.13.2-2.sl5                                   EMI-1-updates                  2.6 M
     glite-jobid-api-c                               x86_64                  2.0.3-1.sl5                                    EMI-1-updates                   19 k
     glite-jobid-api-cpp                             x86_64                  1.1.3-1.sl5                                    EMI-1-updates                  4.3 k
     glite-lb-client                                 x86_64                  5.0.8-1.sl5                                    EMI-1-updates                  1.1 M
     glite-lb-common                                 x86_64                  8.0.6-1.sl5                                    EMI-1-updates                  397 k
     glite-lbjp-common-gsoap-plugin                  x86_64                  3.0.2-7.sl5                                    EMI-1-updates                  1.4 M
     glite-lbjp-common-gss                           x86_64                  3.0.4-1.sl5                                    EMI-1-updates                   43 k
     glite-lbjp-common-trio                          x86_64                  2.1.2-7.sl5                                    EMI-1-updates                   71 k
     glite-yaim-core                                 noarch                  5.0.2-1.sl5                                    EMI-1-base                     116 k
     globus-callout                                  x86_64                  0.7-8.el5                                      epel                            16 k
     globus-common                                   x86_64                  11.6-5.el5                                     epel                           109 k
     globus-ftp-client                               x86_64                  6.0-2.el5                                      epel                            93 k
     globus-ftp-control                              x86_64                  2.12-2.el5                                     epel                            67 k
     globus-gass-copy                                x86_64                  5.14-3.el5                                     epel                            37 k
     globus-gass-copy-progs                          x86_64                  5.14-3.el5                                     epel                            43 k
     globus-gass-transfer                            x86_64                  4.3-3.el5                                      epel                            40 k
     globus-gsi-callback                             x86_64                  2.8-2.el5                                      epel                            39 k
     globus-gsi-cert-utils                           x86_64                  6.7-2.el5                                      epel                            18 k
     globus-gsi-credential                           x86_64                  3.5-3.el5                                      epel                            32 k
     globus-gsi-openssl-error                        x86_64                  0.14-8.el5                                     epel                            15 k
     globus-gsi-proxy-core                           x86_64                  4.7-2.el5                                      epel                            33 k
     globus-gsi-proxy-ssl                            x86_64                  2.3-3.el5                                      epel                            17 k
     globus-gsi-sysconfig                            x86_64                  3.2-1.el5                                      epel                            28 k
     globus-gss-assist                               x86_64                  5.10-1.el5                                     epel                            31 k
     globus-gssapi-error                             x86_64                  2.5-8.el5                                      epel                            13 k
     globus-gssapi-gsi                               x86_64                  7.8-1.el5                                      epel                            55 k
     globus-io                                       x86_64                  6.3-6.el5                                      epel                            43 k
     globus-openssl-module                           x86_64                  1.3-3.el5                                      epel                            13 k
     globus-proxy-utils                              x86_64                  3.10-1.el5                                     epel                            45 k
     globus-rls-client                               x86_64                  5.2-4.el5                                      epel                            30 k
     globus-rsl                                      x86_64                  7.3-1.el5                                      epel                            27 k
     globus-usage                                    x86_64                  1.4-2.el5                                      epel                            15 k
     globus-xio                                      x86_64                  2.8-4.el5                                      epel                           123 k
     globus-xio-gsi-driver                           x86_64                  0.6-7.el5                                      epel                            29 k
     globus-xio-popen-driver                         x86_64                  0.9-3.el5                                      epel                            17 k
     gridftp-ifce                                    x86_64                  2.0.3-1.sl5                                    EMI-1-base                      36 k
     gridsite-commands                               x86_64                  1.7.15-2.sl5                                   EMI-1-updates                   28 k
     gridsite-shared                                 x86_64                  1.7.15-2.sl5                                   EMI-1-updates                  131 k
     gsoap                                           x86_64                  2.7.13-4.el5                                   epel                           444 k
     is-interface                                    x86_64                  1.1.1-1.sl5                                    EMI-1-base                      58 k
     java-1.6.0-openjdk                              x86_64                  1:1.6.0.0-1.23.1.9.10.el5_7                    sl-security                     37 M
     jdk                                             x86_64                  2000:1.6.0_29-fcs                              sl-security                     68 M
     lcg-util                                        x86_64                  1.11.18-2.sl5                                  EMI-1-base                     421 k
     lcg-util-py26                                   x86_64                  1.11.18-2.sl5                                  EMI-1-base                     417 k
     lcgdm-devel                                     x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     197 k
     lcgdm-libs                                      x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     162 k
     lfc                                             x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     1.5 M
     lfc-devel                                       x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     320 k
     lfc-libs                                        x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     100 k
     libpng                                          x86_64                  2:1.2.10-7.1.el5_7.5                           sl-security                    235 k
     nordugrid-arc                                   x86_64                  1.1.0-1.el5                                    EMI-1-updates                  1.6 M
     nordugrid-arc-client                            x86_64                  1.1.0-1.el5                                    EMI-1-updates                  634 k
     nordugrid-arc-java                              x86_64                  1.1.0-1.el5                                    EMI-1-updates                  535 k
     nordugrid-arc-plugins-globus                    x86_64                  1.1.0-1.el5                                    EMI-1-updates                  341 k
     nordugrid-arc-plugins-needed                    x86_64                  1.1.0-1.el5                                    EMI-1-updates                  1.4 M
     nordugrid-arc-python                            x86_64                  1.1.0-1.el5                                    EMI-1-updates                  1.5 M
     nspr                                            x86_64                  4.8.8-1.el5_7                                  sl-security                    119 k
     nss                                             x86_64                  3.12.10-7.el5_7                                sl-security                    1.1 M
     pango                                           x86_64                  1.14.9-8.el5_7.3                               sl-security                    338 k
     perl-dpm                                        x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     427 k
     perl-lfc                                        x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     324 k
     popt                                            x86_64                  1.10.2.3-22.el5_7.2                            sl-security                     77 k
     postgresql-libs                                 x86_64                  8.1.23-1.el5_7.2                               sl-security                    196 k
     puppet                                          noarch                  2.6.6-3.el5                                    epel                           830 k
     python                                          x86_64                  2.4.3-44.el5                                   sl-security                     57 k
     python-dpm                                      x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     622 k
     python-lfc                                      x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     1.0 M
     python-libs                                     x86_64                  2.4.3-44.el5                                   sl-security                    5.9 M
     python26-dpm                                    x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     597 k
     python26-lfc                                    x86_64                  1.8.1-2sec.sl5                                 EMI-1-base                     1.0 M
     rpm                                             x86_64                  4.4.2.3-22.el5_7.2                             sl-security                    1.2 M
     rpm-libs                                        x86_64                  4.4.2.3-22.el5_7.2                             sl-security                    924 k
     rpm-python                                      x86_64                  4.4.2.3-22.el5_7.2                             sl-security                     63 k
     ruby                                            x86_64                  1.8.5-19.el5_6.1                               sl-security                    276 k
     ruby-irb                                        x86_64                  1.8.5-19.el5_6.1                               sl-security                     69 k
     ruby-libs                                       x86_64                  1.8.5-19.el5_6.1                               sl-security                    1.6 M
     ruby-rdoc                                       x86_64                  1.8.5-19.el5_6.1                               sl-security                    135 k
     selinux-policy                                  noarch                  2.4.6-316.el5                                  sl-security                    420 k
     selinux-policy-targeted                         noarch                  2.4.6-316.el5                                  sl-security                    1.3 M
     storm-srm-client                                x86_64                  1.5.0-7.sl5                                    EMI-1-updates                  452 k
     transfer-cli                                    x86_64                  4.0.1-1.sl5                                    EMI-1-base                     949 k
     tzdata                                          x86_64                  2011l-4.el5                                    sl-security                    765 k
     tzdata-java                                     x86_64                  2011l-4.el5                                    sl-security                    180 k
     unicore-ucc                                     noarch                  6.4.1-2                                        EMI-1-updates                   34 M
     util-c                                          x86_64                  1.3.1-1.sl5                                    EMI-1-base                      40 k
     vomsjapi                                        noarch                  2.0.6-1.sl5                                    EMI-1-updates                  134 k
    Installing for dependencies:
     augeas-libs                                     x86_64                  0.9.0-1.el5                                    epel                           340 k
    

2011-05-06 (Ale)

  • Update to UI EMI 1
     emi-ui                                        noarch                 1.0.0-0.sl5                        EMI-1-RC4                   3.2 k
     glite-data-hydra-cli                          x86_64                 3.2.1-6.sl5                        EMI-1-RC4                   294 k
     python26-dpm                                  x86_64                 1.8.1-1sec.sl5                     EMI-1-RC4                   596 k
     python26-lfc                                  x86_64                 1.8.1-1sec.sl5                     EMI-1-RC4                   1.0 M
     voms                                          x86_64                 2.0.2-1.sl5                        EMI-1-RC4                   164 k
     SAGA.lsu-cpp.engine                           x86_64                 1.3.3-4.sl5                        EMI-1-RC4                    55 M
     editline                                      x86_64                 2.9-1.sl5                          EMI-1-RC4                   270 k
     emi-delegation-java                           noarch                 2.1.1-1.sl5                        EMI-1-RC4                    95 k
     emi-version                                   x86_64                 1.0.0-1.sl5                        EMI-1-RC4                   1.9 k
     emi.amga.amga-cli                             x86_64                 2.1.2-1.sl5                        EMI-1-RC4                   404 k
     emi.saga-adapter.isn-common                   noarch                 1.0.1-2.sl5                        EMI-1-RC4                    17 k
     emi.saga-adapter.isn-cpp                      x86_64                 1.0.2-1.sl5                        EMI-1-RC4                   860 k
     glite-ce-cream-cli                            x86_64                 1.13.2-3.sl5                       EMI-1-RC4                   2.5 M
     glite-ce-cream-client-api-c                   x86_64                 1.13.2-3.sl5                       EMI-1-RC4                   1.1 M
     glite-ce-monitor-client-api-c                 x86_64                 1.13.1-4.sl5                       EMI-1-RC4                   1.7 M
     glite-data-catalog-interface                  noarch                 2.0.0-8.sl5                        EMI-1-RC4                    29 k
     glite-jdl-api-cpp                             x86_64                 3.2.5-3.sl5                        EMI-1-RC4                   2.1 M
     glite-wms-brokerinfo-access                   x86_64                 3.3.2-3.sl5                        EMI-1-RC4                    62 k
     glite-wms-ui-api-python                       x86_64                 3.3.3-3.sl5                        EMI-1-RC4                   984 k
     glite-wms-ui-commands                         x86_64                 3.3.3-3.sl5                        EMI-1-RC4                   1.8 M
     glite-wms-ui-configuration                    x86_64                 3.3.2-3.sl5                        EMI-1-RC4                   4.7 k
     glite-wms-wmproxy-api-cpp                     x86_64                 3.3.3-3.sl5                        EMI-1-RC4                   522 k
     glite-wms-wmproxy-api-java                    noarch                 3.3.3-3.sl5                        EMI-1-RC4                   238 k
     glite-wms-wmproxy-api-python                  x86_64                 3.3.3-3.sl5                        EMI-1-RC4                    57 k
     voms-compat                                   x86_64                 1.9.19.2-1.el5                     EMI-1-RC4                   417 k
     voms-devel                                    x86_64                 2.0.0-1.sl5                        EMI-1-RC4                    18 k
    

2011-04-20 (Ale)

  • Installed from scratch a UI EMI RC4

2011-03-23 (Ale)

  • Update kernel
  • Install puppet
  • Update to version 3.1.20-2
     glite-LB                i386       3.1.20-2.slc4    LB-Cert           2.6 k
     glite-info-provider-release  noarch     1.0.2-1          LB-Cert           3.0 k
     glite-lb-client         i386       3.2.4-1.slc4     LB-Cert           1.4 M
     glite-lb-client-interface  i386       3.2.2-2.slc4     LB-Cert           473 k
     glite-lb-common         i386       6.1.4-1.slc4     LB-Cert           655 k
     glite-lb-logger         i386       1.4.12-1.slc4    LB-Cert            47 k
     glite-lb-notif-logger   i386       1.0.1-1.slc4     LB-Cert            27 k
     glite-lb-proxy          i386       1.5.3-4.slc4     LB-Cert           107 k
     glite-lb-server         i386       1.9.6-1.slc4     LB-Cert           726 k
     glite-lb-server-bones   i386       2.2.7-2.slc4     LB-Cert            20 k
     glite-lb-utils          i386       1.3.0-3.slc4     LB-Cert            27 k
     glite-lb-ws-interface   i386       2.5.1-2.slc4     LB-Cert            22 k
     glite-security-gsoap-plugin  i386       1.5.4-2.slc4     LB-Cert           1.4 M
     glite-security-voms-api-cpp  i386       1.9.10-12.slc4   LB-Cert           4.8 M
     glite-version           noarch     3.1.2-1          LB-Cert           4.4 k
     glite-yaim-core         noarch     4.0.13-2         LB-Cert           124 k
     gridsite-shared         i386       1.1.20-8         LB-Cert            75 k
    

2010-03-18 (Ale)

  • Update to version 3.1.19-0
     glite-LB                i386       3.1.19-0         LB-Cert           3.6 k
     glite-info-provider-service  noarch     1.1.7-0          LB-Cert            26 k
     glite-lb-common         i386       6.1.3-2.slc4     LB-Cert           657 k
     glite-lb-logger         i386       1.4.11-3.slc4    LB-Cert            46 k
     glite-lb-server         i386       1.9.4-1.slc4     LB-Cert           728 k
     glite-version           noarch     3.1.1-2          LB-Cert           4.6 k
     glite-yaim-core         noarch     4.0.11-2         LB-Cert           119 k
     glite-yaim-lb           noarch     4.2.1-1          LB-Cert           9.0 k
    
    Installing for dependencies:
     glite-lb-notif-logger   i386       1.0.0-3.slc4     LB-Cert            26 k

  • /opt/glite/yaim/bin/yaim -c -s site-info.def -n LB

2010-01-15 (Ale)

  • Update to version 3.1.16

2009-08-24 (Ale)

  • Updating:
    glite-info-provider-service 1.1.4-0
    glite-info-templates 1.0.0-11
    glite-lb-client 3.2.2-1.slc4
    glite-lb-common 6.1.3-1.slc4
    glite-lb-logger 1.4.11-1.slc4
    glite-lb-server 1.9.2-1.slc4
    glite-security-voms-api-cpp 1.8.12-1.slc4
    glite-yaim-core 4.0.7-9
    glite-yaim-lb 4.1.0-1
    lcg-vomscerts 5.5.0-1
  • Cleaning LB database
  • /opt/glite/yaim/bin/yaim -c -s site-info.def -n LB
  • /opt/glite/bin/glite-lb-bkindex --really /opt/glite/etc/glite-lb-index.conf.template

2009-04-06 (Ale)

  • Updating:
    glite-info-provider-service 1.0.3-0
    glite-wms-utils-jobid 3.1.5-1.slc4
    lcg-vomscerts 5.4.0-1

2009-01-29 (Ale)

  • Updating:
    glite-info-provider-service noarch 1.0.1-3 LB-Cert
    glite-security-voms-api-cpp i386 1.8.8-3.slc4 LB-Cert
    lcg-vomscerts noarch 5.2.0-1 LB-Cert

2008-09-24 (Ale)

  • Update to patch #1803:
    glite-lb-client i386 3.2.1-1.slc4 patch 1803
    glite-lb-common i386 6.1.2-1.slc4 patch 1803
    glite-lb-logger i386 1.4.10-1.slc4 patch 1803
    glite-lb-server i386 1.9.1-1.slc4 patch 1803
    glite-lb-server-bones i386 2.2.7-1.slc4 patch 1803
    glite-lb-ws-interface i386 2.5.1-1.slc4 patch 1803
    glite-security-gsoap-plugin i386 1.5.3-1.slc4 LB-Cert
    glite-security-voms-api-cpp i386 1.8.3-4.slc4 LB-Cert
    glite-yaim-core noarch 4.0.4-2 LB-Cert
    glite-yaim-lb noarch 4.0.2-1 patch 1803
    glite-info-generic noarch 2.0.2-3 LB-Cert
    glite-info-templates noarch 1.0.0-8 LB-Cert

2008-04-15 (Ale)

  • Updating:
glite-lb-client i386 3.1.5-1.slc4 WMS-pps
glite-yaim-core noarch 4.0.4-1 WMS-pps
glite-yaim-lb noarch 4.0.1-3 WMS-pps
lcg-vomscerts noarch 4.9.0-1 WMS-pps
vdt_globus_essentials i386 VDT1.6.1x86_rhas_4-6 WMS-pps

2008-02-26 (Ale)

  • Update these rpms:
    glite-lb-client i386 3.1.2-2.slc4 devel17
    glite-lb-common i386 6.1.1-2.slc4 devel17
    glite-lb-server i386 1.8.3-1.slc4 devel17
    lcg-vomscerts noarch 4.8.0-1 devel17
  • Downgrade this rpm:
    • glite-security-voms-api-cpp-1.7.24-1.slc4

2008-02-06 (Ale)

  • Update these rpms:
    glite-security-voms-api-c i386 1.8.2-1.slc4 devel17
    glite-security-voms-api-cpp i386 1.8.2-1.slc4 devel17
    lcg-CA noarch 1.19-1 CA

2008-01-15 (Ale)

  • Update these rpms using repository on devel17:
    • glite-lb-client (3.1.2-1.slc4)
    • glite-lb-server (1.8.2-1.slc4)
    • glite-security-voms-api-c (1.8.1-1.slc4)
    • glite-security-voms-api-cpp (1.8.1-1.slc4)

2007-10-23 (Ale)

  • LB server need to be restarted periodically due to this problem:
> gianelle@lxde02:$ glite-job-status https://devel15.cnaf.infn.it:9000/rWCq71fcyV_rArKZC-m1MQ
> **** Error: API_NATIVE_ERROR ****
> Error while calling the "Status:getStatus" native api
> Unable to retrieve the status for: https://devel15.cnaf.infn.it:9000/rWCq71fcyV_rArKZC-m1MQ
> edg_wll_JobStatus: Connection refused: edg_wll_gss_connect(): server closed the connection, probably due to overload

*** Answer of Salvet:
This appears to be result of different problem, bug #30647
aka "SIGPIPE on LB server". Do you use other WMS machine or a lot of CEs
which have glite-security-gsoap-plugin_R_1_5_1_1 installed ?

2007-10-19 (Ale)

  • Update these rpms:
    • glite-security-gsoap-plugin-1.5.2-1.slc4.i386.rpm
    • lcg-CA-1.17-1 (and all the CA_*)

2007-10-08 (Ale)

  • Restart LBServer in debug mode

2007-10-04 (Ale)

Start to install a LB 3.1

Install yaim

  • rpm -ihv glite-yaim-core-4.0.0-14.noarch.rpm
  • rpm -ihv glite-yaim-lb-4.0.0-4.noarch.rpm

Install by hand (waiting for the LB metapackage)
  • yum install mysql-server
    • mysql
    • perl-DBD-MySQL
    • perl-DBI
    • perl-Net-Daemon
    • perl-PlRPC

  • apt-get install c-ares

  • apt-get install lcg-CA
  • apt-get install fetch-crl
  • rpm -ihv lcg-vomscerts-4.6.0-1.noarch.rpm

  • apt-get install vdt_globus_essentials
  • rpm -ihv gpt-VDT1.6.0x86_rhas_4-1.i386.rpm

  • rpm -ihv glite-lb-ws-interface-2.4.0-1.slc4.i386.rpm
  • apt-get install glite-lb-common glite-lb-server-bones glite-security-gsoap-plugin
    • glite-wms-utils-exception
    • glite-wms-utils-jobid

  • apt-get install gridsite-shared glite-security-voms-api-c

  • apt-get install glite-lb-client

  • rpm -ihv glite-lb-server-1.7.1-1.slc4.i386.rpm

Post Install
  • Copy hostcert.pem hostkey.pem under /etc/grid-security/

Configure yaim
  • Create site-info.def

Bugs Fixes

  • Define /opt/glite/yaim/node-info.d/glite-lb:
LB_FUNCTIONS="
config_add_pool_env
config_crl
config_host_certs
config_edgusers
config_globus_clients
config_glite_lb
config_glite_initd"

  • Fix line 46 of /opt/glite/yaim/functions/config_glite_lb
    • /etc/init.d/mysqld start

Configure

  • /opt/glite/yaim/bin/yaim -c -s site-info.def -n LB

Post Configure

  • Insert the WMS (devel14) DN in the /opt/glite/etc/LB-super-users file and restart the service

NOTE:

  • Warning: glite-lb-notif-interlogd not installed, LB notifications will not work

-- AlessioGianelle - 04 Oct 2007

Edit | Attach | PDF | History: r22 < r21 < r20 < r19 < r18 | Backlinks | Raw View | More topic actions
Topic revision: r22 - 2011-11-25 - AlessioGianelle
 
This site is powered by the TWiki collaboration platformCopyright © 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback